#pragma once

#include <pqxx/pqxx>

namespace maps::wiki::assessment {

template<typename Enum>
std::string sqlEnumToString(pqxx::transaction_base& txn, Enum value)
{
    return txn.quote(std::string(toString(value)));
}

} // namespace maps::wiki::assessment
